Hi. 

You are probably seeing this because you are having issues with the platform.
Please do use Google Chrome (version 60 or above) to use the Editor seamlessly.

We are working best with Chrome, as of now.

Did this answer your question?